summaryrefslogtreecommitdiff
path: root/git/pull.sh
diff options
context:
space:
mode:
Diffstat (limited to 'git/pull.sh')
-rwxr-xr-xgit/pull.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/git/pull.sh b/git/pull.sh
index cf94cf0..07684da 100755
--- a/git/pull.sh
+++ b/git/pull.sh
@@ -11,5 +11,11 @@ for i in $modules; do
echo "pull $i" 1>&2
cd $i
git pull $*
+
+ if [ $? -ne 0 ]; then
+ echo "pull FAILED" 1>&2
+ exit 1
+ fi
+
cd $wd
done